package com.onsiteservice.constant.enums;

import lombok.Getter;

/**
 * <P>订单状态枚举</P>
 *
 * @author jack
 * @version v1.0
 * @since 2022/4/11 15:42
 */
public enum ServiceOrderStatusEnum {


    /**
     * 已提交
     */
    SUBMIT(1, "已提交"),

    /**
     * 已受理:估价+发送客户
     */
    ACCEPT(2, "已受理"),

    /**
     * 已支付
     */
    PAY(3, "已支付"),

    /**
     * 已派单
     */
    DISPATCH(4, "已派单"),

    /**
     * 已确认
     */
    CONFIRM(5, "已确认"),

    /**
     *
     */
    CANCEL(6, "已取消"),

    /**
     * 退款状态
     */
    REFUND_APPLY(4,"申请退款"),
    REFUND_HANDLING(4,"退款处理中"),
    REFUND_FAIL(4,"退款失败"),
    REFUND_FINISH(4,"退款完成");


    @Getter
    private Integer status;

    @Getter
    private String msg;


    private ServiceOrderStatusEnum(Integer status, String msg) {
        this.status = status;
        this.msg = msg;
    }


}
